
TYPO3.Flow - Bug # 47534

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Utility
Created: 2013-04-24 Assigned To: Karsten Dambekalns
Updated: 2013-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0 beta 2
Subject: Algorithms::generateUUID() creates uppercase characters in UUIDs
Description

The UUIDs generated by that method were always lowercase, now they are uppercase. As soon as you do a case-sensitive
comparison on those UUIDs as strings, this will now break, even if the UUIDs are the same semantically.

Related issues:
related to TYPO3.Flow - Bug # 46862: generateUUID can be broken by seeding mt... Resolved 2013-04-02

Associated revisions
Revision 654e0f4b - 2013-04-24 09:42 - Karsten Dambekalns

[BUGFIX] generateUUID() creates uppercase characters in UUIDs

The UUIDs generated by that method were always lowercase, now they are
uppercase (since change I1237fdfbee75cbfca2f2082cf30a69383dbc7fd5). As
soon as you do a case-sensitive comparison on those UUIDs as strings,
this will now break, even if the UUIDs are the same semantically.

This change makes them lowercase again.

Change-Id: I0ec62f8710cc3c84fb726e3b08e6e08fc1638e39
Fixes: #47534
Related: #46862
Releases: master, 2.0

Revision 60ea1313 - 2013-04-26 11:50 - Karsten Dambekalns

[BUGFIX] generateUUID() creates uppercase characters in UUIDs

The UUIDs generated by that method were always lowercase, now they are
uppercase (since change I1237fdfbee75cbfca2f2082cf30a69383dbc7fd5). As
soon as you do a case-sensitive comparison on those UUIDs as strings,
this will now break, even if the UUIDs are the same semantically.

This change makes them lowercase again.

Change-Id: I0ec62f8710cc3c84fb726e3b08e6e08fc1638e39
Fixes: #47534
Related: #46862
Releases: master, 2.0
History
#1 - 2013-04-24 09:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20124

#2 - 2013-04-24 09:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20124

#3 - 2013-04-24 10:07 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20127

#4 - 2013-04-24 10:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:654e0f4bb2c557b066538bc53588461c1c3aad28.

#5 - 2013-04-26 11:50 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20127

#6 - 2013-04-26 12:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:60ea1313d0206c8528830872eec2c7a712424b6e.
